
#include "HardwareProfile.h"
#include "Compiler.h"
#include "GenericTypeDefs.h"
#include "delay.h"



#include "HardwareProfile.h"
#include "Compiler.h"
#include "GenericTypeDefs.h"
#include "delay.h"
#include <p18cxxx.h>
#include <i2c.h> 



void LCD_write (unsigned char Control, unsigned char Data)
{
	IdleI2C();
 	StartI2C(); 
	IdleI2C();
	WriteI2C(0x7c);
	IdleI2C();
	WriteI2C(Control);
	IdleI2C();
	WriteI2C(Data);
	IdleI2C();
 	StopI2C();

}

void LCD_init()
{

    CloseI2C();    
    OpenI2C(MASTER,SLEW_OFF);
	SSPADD= 59; // 200kHz @ 48MHz
	IdleI2C();
	TRIS_LCDRST = 0;
	LAT_LCDRST = 0;
	Delayms(10);
	LAT_LCDRST = 1;
	Delayms(10);

	LCD_write (0x00, 0x38);
	LCD_write (0x00, 0x39);
	LCD_write (0x00, 0x14);
	LCD_write (0x00, 0x7a);
	LCD_write (0x00, 0x50);
	LCD_write (0x00, 0x6c);
	LCD_write (0x00, 0x0c);
	Delay10us(3);
	LCD_write (0x00, 0x01);
	Delayms(2);
}

void LCD_clr()
{
	LCD_write (0x00, 0x01);
	Delayms(2);

}

void LCD_cursor(unsigned char pos)
{

	LCD_write (0x00, 0x80 + pos);
	Delay10us(3);

}

void LCD_char(char ch)
{
	LCD_write (0x40, ch);
	Delay10us(3);

}


void LCD_text(const char rom * s)
{
	while (*s != 0) {

		LCD_char(*s);
		s++;
	}//end while


}


void LCD_hex(unsigned char hex)
{
	unsigned char temp;
	temp = hex;
	temp = temp >> 4;
	if (temp >9) {
		temp = temp - 10 + 'a';
	} else {
		temp = temp + '0';
	}

	LCD_char (temp);
	temp = hex & 0xf;
	if (temp >9) {
		temp = temp - 10 + 'a';
	} else {
		temp = temp + '0';
	}
	LCD_char (temp);

}

